Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 3639)
+++ admin/_charte.php	(revision 3685)
@@ -39,5 +39,4 @@
 	<script type="text/javascript" src="js/jquery/jquery.pageTabs.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.biscuit.js"></script>
-	<script type="text/javascript" src="js/jquery/jquery.bgFade.js"></script>
 	<script type="text/javascript" src="js/common.js"></script>
 	<script type="text/javascript" src="js/prelude.js"></script>
Index: admin/js/_preferences.js
===================================================================
--- admin/js/_preferences.js	(revision 2736)
+++ admin/js/_preferences.js	(revision 3685)
@@ -1,22 +1,20 @@
 $(function() {
-	if ($('#new_pwd').length == 0) {
-		return;
-	}
-
-	var user_email = $('#user_email').val();
-
-	$('#user-form').submit(function() {
-		var e = this.elements['cur_pwd'];
-		if (e.value != '') {
-			return true;
-		}
-		if ($('#user_email').val() != user_email || $('#new_pwd').val() != '') {
-			e.focus();
-			$(e).backgroundFade({sColor: dotclear.fadeColor.beginUserMail, eColor: dotclear.fadeColor.endUserMail, steps: 50},function() {
-				$(this).backgroundFade({sColor: dotclear.fadeColor.endUserMail, eColor: dotclear.fadeColor.beginUserMail});
-			});
-			return false;
-		}
-		return true;
-	});
+  if ($('#new_pwd').length == 0) {
+    return;
+  }
+  var user_email = $('#user_email').val();
+  $('#user-form').submit(function() {
+    var e = this.elements['cur_pwd'];
+    if (e.value != '') {
+      return true;
+    }
+    if ($('#user_email').val() != user_email || $('#new_pwd').val() != '') {
+      $(e).addClass('missing').focusout(function() {
+        $(this).removeClass('missing')
+      });
+      e.focus();
+      return false;
+    }
+    return true;
+  });
 });
